Module java.naming
Package javax.naming.ldap

# Interface UnsolicitedNotification

All Superinterfaces:
  `ExtendedResponse`, `HasControls`, `Serializable`

public interface UnsolicitedNotification extends ExtendedResponse, HasControls
This interface represents an unsolicited notification as defined in RFC 2251. An unsolicited notification is sent by the LDAP server to the LDAP client without any provocation from the client. Its format is that of an extended response (`ExtendedResponse`).

Since:
  1.3
See Also:
  - `ExtendedResponse`
  - `UnsolicitedNotificationEvent`
  - `UnsolicitedNotificationListener`

## Method Summary

Modifier and Type
Method
Description
`NamingException`
`getException()`
Retrieves the exception as constructed using information sent by the server.
`String[]`
`getReferrals()`
Retrieves the referral(s) sent by the server.

### Methods declared in interface javax.naming.ldap.ExtendedResponse

`getEncodedValue, getID`

### Methods declared in interface javax.naming.ldap.HasControls

`getControls`

## Method Details

### getReferrals

String[] getReferrals()
Retrieves the referral(s) sent by the server.

Returns:
  A possibly null array of referrals, each of which is represented by a URL string. If null, no referral was sent by the server.

### getException

NamingException getException()
Retrieves the exception as constructed using information sent by the server.

Returns:
  A possibly null exception as constructed using information sent by the server. If null, a "success" status was indicated by the server.